Webhook Subscriptions
List webhook subscriptions
Retrieve all webhook subscriptions that belong to an application including their configuration details and status. Returns subscription details including webhook endpoints, status, creation dates, and links to associated webhooks with total count. Essential for webhook management and monitoring subscription health.
GET
/
webhook-subscriptions
cURL
GET https://api-sandbox.dwolla.com/webhook-subscriptions
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla.get("webhook-subscriptions").then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_subscriptions = app_token.get('webhook-subscriptions')
webhook_subscriptions.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookApi = new DwollaSwagger\WebhooksubscriptionsApi($apiClient);
$retrieved = $webhookApi->_list();
$retrieved->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_subscriptions = app_token.get "webhook-subscriptions"
webhook_subscriptions.total # => 1
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhook-subscriptions"
}
},
"_embedded": {
"webhook-subscriptions": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589"
},
"webhooks": {
"href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589/webhooks"
}
},
"id": "077dfffb-4852-412f-96b6-0fe668066589",
"url": "http://myapplication.com/webhooks",
"paused": true,
"created": "2022-10-28T16:20:47+00:00"
}
]
},
"total": 1
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/webhook-subscriptions
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla.get("webhook-subscriptions").then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_subscriptions = app_token.get('webhook-subscriptions')
webhook_subscriptions.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookApi = new DwollaSwagger\WebhooksubscriptionsApi($apiClient);
$retrieved = $webhookApi->_list();
$retrieved->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_subscriptions = app_token.get "webhook-subscriptions"
webhook_subscriptions.total # => 1
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhook-subscriptions"
}
},
"_embedded": {
"webhook-subscriptions": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589"
},
"webhooks": {
"href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589/webhooks"
}
},
"id": "077dfffb-4852-412f-96b6-0fe668066589",
"url": "http://myapplication.com/webhooks",
"paused": true,
"created": "2022-10-28T16:20:47+00:00"
}
]
},
"total": 1
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}